Lone Wolf Development Forums

Lone Wolf Development Forums (http://forums.wolflair.com/index.php)
-   HL - d20 System (http://forums.wolflair.com/forumdisplay.php?f=46)
-   -   Community Created 3.5 D&D data set.... (http://forums.wolflair.com/showthread.php?t=11584)

Illyahr November 16th, 2016 08:57 AM

Quote:

Originally Posted by Sendric (Post 237961)
Ish. Core spells A-D are currently available. Most of the non-core spells should be good to go as well, but I need to double check these. The rest of the spells and updating monster races for stock files is my primary objective for the next release.

Is there a specific file I need to program them into or just put them into their original file? I don't want to mess up whatever setup you are trying for.

Sendric November 16th, 2016 09:52 AM

Quote:

Originally Posted by Illyahr (Post 237994)
Is there a specific file I need to program them into or just put them into their original file? I don't want to mess up whatever setup you are trying for.

You can use the Extend Thing mechanic to add core spells to a class spell list. Take a look at the Complete Adventurer for an example. Do this in the file that contains the class.

For non-core spells, you can modify the spell directly in whatever file it is contained in. Just make sure to add any necessary sources.

Illyahr November 16th, 2016 10:22 AM

Quote:

Originally Posted by Sendric (Post 238000)
You can use the Extend Thing mechanic to add core spells to a class spell list. Take a look at the Complete Adventurer for an example. Do this in the file that contains the class.

For non-core spells, you can modify the spell directly in whatever file it is contained in. Just make sure to add any necessary sources.

All right, I'll do some looking and then some tinkering.

Sendric November 16th, 2016 11:25 AM

Quote:

Originally Posted by Illyahr (Post 238002)
All right, I'll do some looking and then some tinkering.

If you come across non-core spells that have not yet been updated, feel free to let me know. Working on Book of Vile Darkness spells now.

Illyahr November 16th, 2016 11:54 AM

Updated how? I don't know how you are updating the spells, only that you are updating something.

Hengist November 16th, 2016 01:18 PM

First, I'd like to say thank you to Sendric and other programmers for pushing out this update. I truly appreciate all your hard work for our shared hobby.

Thank you, Sendric et. al.

Next, did I read somewhere in one of the threads that Sendric was doing the core programming changes and Shadowchemosh and his minions will add new errata (classes, spells, etc) from the splatbooks soon after, or did Sendric and Shadowchemosh coordinate the release and 1.8 is everything that's being pushed out this year?

Again guys, great job. Thanks.

Illyahr November 16th, 2016 02:08 PM

ShadowChemosh does the core stuff, Sendric and the rest of us do the splatbooks. There was supposed to be a core release before a community release but the core release is taking longer than expected so Sendric pushed out what updates we have done so far.

ShadowChemosh November 16th, 2016 03:11 PM

Quote:

Originally Posted by Illyahr (Post 238024)
ShadowChemosh does the core stuff, Sendric and the rest of us do the splatbooks. There was supposed to be a core release before a community release but the core release is taking longer than expected so Sendric pushed out what updates we have done so far.

Correct. Just to be clear I am NOT an employee of LW. I literally volunteered my free time to do enhancements to the d20 CORE game.

Unfortunately my free time has been sucked up by my real life job. My work week has gone to six ten hour work days. :( So I am real sorry but I have been simply unable to make the final set of "changes" that Colen from LW wanted me to do. That leaves the next release of the d20 CORE at like 90% done but unable to finish it.

saturn082 November 16th, 2016 04:27 PM

Thank you guys so much for the work you put in!

ErinRigh November 16th, 2016 10:52 PM

Quote:

Originally Posted by ShadowChemosh (Post 238029)
Correct. Just to be clear I am NOT an employee of LW...So I am real sorry but I have been simply unable to make the final set of "changes" that Colen from LW wanted me to do. That leaves the next release of the d20 CORE at like 90% done but unable to finish it.

No worries SC. Just know you are appreciated, and take the time you need to juggle real life, we can wait, we have the patience and gratitude of a paladin, don't we guys? :D:D

ErinRigh November 16th, 2016 11:46 PM

IDK but I get this error when I try to generate a character with a prestige class;

Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoBu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoTsu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoTsu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoBu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoTsu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoBu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoTsu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoBu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoTsu' near line 1
- - -
Attempt to access non-existent child pick 'pTaint' from script
Location: 'pre-requisite rule' script for Thing 'cMahoBu' near line 1


Only since the update however, any thoughts?

Sendric November 17th, 2016 05:26 AM

Quote:

Originally Posted by ErinRigh (Post 238068)
IDK but I get this error when I try to generate a character with a prestige class;

Only since the update however, any thoughts?

Which Prestige Class?

ErinRigh November 17th, 2016 05:42 AM

Bladesinger is the one I get the error with

Sendric November 17th, 2016 05:57 AM

Quote:

Originally Posted by Illyahr (Post 238009)
Updated how? I don't know how you are updating the spells, only that you are updating something.

Spells now allow multiple class tags, meaning each spell you create can be assigned to multiple classes. This was not previously available which lead to multiple versions of each spell. Additionally, the old thingid's for the core spells used an archaic naming convention (ie sWiz10001). Spells are being updated with new thingid names to match Pathfinder standards (ie spDetMag0). Additionally, they are getting updated to reduce clutter by assigning all appropriate tags to the spell.

The only problem is that we have to keep the old spells around with the Helper.Obsolete tag (which removes them from being selected, but does not remove them if they already exist). This is because old portfolios would pop all kinds of errors if we didn't, and as I've learned people like to keep old portfolios around.

Sendric November 17th, 2016 06:01 AM

Quote:

Originally Posted by ErinRigh (Post 238085)
Bladesinger is the one I get the error with

Hmm....actually it looks like Maho-Bujin and Maho-Tsukai are to blame here. I will look into it.

Pre-req scripts on these PrC's should use "childfound" instead of "child". That will remove the error. You can also add the Taint adjustment to the character to avoid the error. I've fixed this for the next release.

Illyahr November 17th, 2016 08:56 AM

Woops, my bad on that one. The PrC's Maho-Tsukai and Maho-Bujin from Oriental Adventures have a minimum Taint score requirement to take the class.

I'll keep that in mind if something like that ever comes up again.

Have fun with Bladesinger, btw. It's ridiculously awesome :D

Illyahr November 17th, 2016 08:58 AM

Quote:

Originally Posted by Sendric (Post 238088)
-spell mechanics-

Ok, so what is the new line of coding if I want to use this Extend Thing that you mentioned? Where does it go?

Sendric November 17th, 2016 09:57 AM

Quote:

Originally Posted by Illyahr (Post 238101)
Woops, my bad on that one. The PrC's Maho-Tsukai and Maho-Bujin from Oriental Adventures have a minimum Taint score requirement to take the class.

I'll keep that in mind if something like that ever comes up again.

In general, you should use childfound instead of child unless it is 100% guaranteed that whatever you are referencing will be on the character.

Sendric November 17th, 2016 09:58 AM

Quote:

Originally Posted by Illyahr (Post 238102)
Ok, so what is the new line of coding if I want to use this Extend Thing that you mentioned? Where does it go?

Take a look at the Complete Adventurer, General Tab, *Extend Thing. There is no line of code. You simply select a thing and tell it what tag to apply.

Illyahr November 17th, 2016 10:20 AM

Quote:

Originally Posted by Sendric (Post 238104)
Take a look at the Complete Adventurer, General Tab, *Extend Thing. There is no line of code. You simply select a thing and tell it what tag to apply.

Ah, ok. Got it.

EDIT: Is it possible to assign an Extend Thing to make it possible to allow a spell to be cast by all classes that prepare spells? Cuz Sanctified spells can be used by any class that prepares spells.

Sendric November 17th, 2016 11:28 AM

Quote:

Originally Posted by Illyahr (Post 238105)
Ah, ok. Got it.

EDIT: Is it possible to assign an Extend Thing to make it possible to allow a spell to be cast by all classes that prepare spells? Cuz Sanctified spells can be used by any class that prepares spells.

No, there isn't a single flag for that. However, it is possible to do using a script similar to how we assign Corrupt spells. Check out the Corrector special in the Players Handbook 1 user file.

Hengist November 18th, 2016 06:13 AM

Macht nichts. Versteh ich. It'll be done when it's done. I was just unclear about the release given an earlier post. Again, I wish to thank both you gentleman and all the people helping improve this awesome tool for our mutual hobby.

Danke Shoen!

Sendric November 18th, 2016 06:23 AM

Quote:

Originally Posted by Hengist (Post 238189)
Danke Shoen!

Gern geschehen, mein Freund!

zandraxon November 18th, 2016 07:00 AM

Hello all... trying to pick up the Community Pack by Lawful_G.... followed the directions in the PDF, but after adding the source and reloading HL, it doesn't show up as an update option. I've deleted it and re-added it a couple of times just to make sure I typed it correctly.

Any suggestions to make it show up?

Sendric November 18th, 2016 09:32 AM

Quote:

Originally Posted by zandraxon (Post 238192)
Hello all... trying to pick up the Community Pack by Lawful_G.... followed the directions in the PDF, but after adding the source and reloading HL, it doesn't show up as an update option. I've deleted it and re-added it a couple of times just to make sure I typed it correctly.

Any suggestions to make it show up?

Did you close HL and relaunch it? Once you add a source you have to do this for the updates to appear.

zandraxon November 21st, 2016 03:17 AM

Yes, multiple times.

Sendric November 21st, 2016 04:59 AM

1 Attachment(s)
Quote:

Originally Posted by zandraxon (Post 238408)
Yes, multiple times.

That is strange. Please verify that you have entered the full path for the updates as follows:

http://www.shadowsoftware.net/herolab/d20/updates.xml

The updates for the community set and the stock portfolios won't appear at the top of the list, so you may have to search around for them a little bit. They should be there though, even if HL doesn't flag them as "new" downloads.

Here's what mine looks like:

Dimwhit November 21st, 2016 05:13 PM

2 Attachment(s)
Sorry if this has been asked, but I'm getting MAJOR errors loading my 3.5 character. I've attached a screen of the errors, plus a screen showing that I have the dataset installed (and I double-clicked it and downloaded the latest, to make sure.

This just started within the last week or so. When I go to configure the character, none of the 3.5 material is available to select. I checked the data folder and it's all still there. I'm sure it's something simple, but I can't figure it out. Any help?

ShadowChemosh November 21st, 2016 05:28 PM

Quote:

Originally Posted by Dimwhit (Post 238443)
Sorry if this has been asked, but I'm getting MAJOR errors loading my 3.5 character. I've attached a screen of the errors, plus a screen showing that I have the dataset installed (and I double-clicked it and downloaded the latest, to make sure.

This just started within the last week or so. When I go to configure the character, none of the 3.5 material is available to select. I checked the data folder and it's all still there. I'm sure it's something simple, but I can't figure it out. Any help?

Either you are getting errors when loading d20 which causes HL to fall into safe mode. Or you really didn't load the Community Pack. The second screen shot just shows that you can access the "Sever" that has the pack but not that you installed it. ;)

Start HL and then d20. If you get any errors at this point RIGHT CLICK and copy them into this thread so we can help.

If no errors are displayed go to "Tools->Manage Third Party Updates" and make sure you actually see "d20 Community Set (v1.18)". If you don't see that make sure you follow all the steps in THIS pdf including downloading and installing. :)

Dimwhit November 21st, 2016 05:56 PM

Quote:

Originally Posted by ShadowChemosh (Post 238444)
Either you are getting errors when loading d20 which causes HL to fall into safe mode.

That was it. I was getting an error before the main ones. My own data file had a problem (not sure how it happened), but when I fixed that, everything else cleared up. Thanks!

zandraxon November 22nd, 2016 03:51 AM

Quote:

Originally Posted by Sendric (Post 238412)
That is strange. Please verify that you have entered the full path for the updates as follows:

http://www.shadowsoftware.net/herolab/d20/updates.xml

The updates for the community set and the stock portfolios won't appear at the top of the list, so you may have to search around for them a little bit. They should be there though, even if HL doesn't flag them as "new" downloads.

Here's what mine looks like:

Ah... ok... The picture in the docs has something like "Lawful_G....." instead of D20 Community pack, at least how my gradually aging eyes and brain read it. Let me look for that when I have a chance tonight!

Horrid.Wilting November 22nd, 2016 04:36 AM

Hi, I'm getting an error "critical information not found in data files: source Monster Manual 3", but only when loading old Porfolios. Tried saving and reloading them, with MM3 ticked and without, no change.
Since in the 1.18 update MM3 source info had been changed, it seems I have a problem with that.
Is there anything I can do about that?
Loading a fresh portfolio/saving/reloading with or without MM3 works normally.
Only old ones are affected.

Also I now have the Monsters of Fearun and Stormwrack two times in the source list... what's that about? O.o

Cheers,
- Horrid

Sendric November 22nd, 2016 05:24 AM

Quote:

Originally Posted by Horrid.Wilting (Post 238462)
Hi, I'm getting an error "critical information not found in data files: source Monster Manual 3", but only when loading old Porfolios. Tried saving and reloading them, with MM3 ticked and without, no change.
Since in the 1.18 update MM3 source info had been changed, it seems I have a problem with that.
Is there anything I can do about that?
Loading a fresh portfolio/saving/reloading with or without MM3 works normally.
Only old ones are affected.

Try selecting "Strip Missing Sources" from the Portfolio menu. If that doesn't work, please attach the portfolio and I'll take a look at it.

Quote:

Originally Posted by Horrid.Wilting (Post 238462)
Also I now have the Monsters of Fearun and Stormwrack two times in the source list... what's that about? O.o

Cheers,
- Horrid

Hmm....good question. I will look into this.

Update: Fixed this issue. We had a few erroneous sources floating around. Thanks for the report.

ravdmyvid November 22nd, 2016 12:39 PM

1 Attachment(s)
Hi. I got the same problem as Horrid with the "critical information not found in data files: source Monster Manual 3"

See the attached portfolio

Sendric November 23rd, 2016 05:02 AM

Quote:

Originally Posted by ravdmyvid (Post 238489)
Hi. I got the same problem as Horrid with the "critical information not found in data files: source Monster Manual 3"

See the attached portfolio

Have you tried the "Strip Missing Sources" option suggested above? I suspect that will solve the problem. If not, I'll try to take a look at this later.

Illyahr November 23rd, 2016 08:15 AM

I'm having the same issue as above. The "strip missing sources" option prevents the error from popping up, but what if we want to use something from MM3?

ravdmyvid November 23rd, 2016 11:23 AM

Quote:

Originally Posted by Sendric (Post 238520)
Have you tried the "Strip Missing Sources" option suggested above? I suspect that will solve the problem. If not, I'll try to take a look at this later.

Ok, I tried it now and the error is gone. Sorry, should have done before posting here.

zandraxon November 23rd, 2016 01:24 PM

Sendric - thanks for the tip... I'm all loaded up and working now!

Horrid.Wilting November 24th, 2016 03:12 AM

Quote:

Originally Posted by Sendric (Post 238463)
Try selecting "Strip Missing Sources" from the Portfolio menu. If that doesn't work, please attach the portfolio and I'll take a look at it.

Hmm....good question. I will look into this.

Update: Fixed this issue. We had a few erroneous sources floating around. Thanks for the report.

Always!

Also thanks for the hint. Stripping worked! :)

I then reimported the 1.18 files but still have stormwrack and monsters of fearun in the list twice... would reimporting even help there? or should I do something else? is it even an actual issue? do the entries interfere with each other?

Sendric November 24th, 2016 04:25 AM

Quote:

Originally Posted by Illyahr (Post 238532)
I'm having the same issue as above. The "strip missing sources" option prevents the error from popping up, but what if we want to use something from MM3?

MM3 hasn't been removed. It's just that the sourcing got a little messed up. You can simply select the MM3 source available in the list and get everything from there that is currently available.


All times are GMT -8. The time now is 09:01 AM.

Powered by vBulletin® - Copyright ©2000 - 2020, vBulletin Solutions, Inc.
wolflair.com copyright 1998-2016 Lone Wolf Development, Inc. View our Privacy Policy here.